Formant: Get quantile...

A query to ask the selected Formant object for an estimation of the specified quantile of the distribution that underlies the attested values of the specified formant.

## Return value

the quantile, in hertz or Bark.

## Settings

Formant number
  the ordinal number of the formant, counting up from 0 Hz. Specify "2" for F2 etc.
From time (s)
To time (s)
  the selected time domain. Values outside this domain are ignored. If To time is not greater than From time, the entire time domain of the formant contour is considered.
Units
  the units of the result (Hertz or Bark).
Quantile
  the fraction (between 0 and 1) of the values of the underlying distribution expected to lie below the result. For instance, if Quantile is 0.10, the algorithm estimates the formant value below which 10% of all formant values are expected to lie. To get an estimate of the median of the underlying distribution, specify a quantile of 0.50.

## Algorithm

First, the available formant values within the selected time domain are collected in an array. This array is then sorted and the quantile algorithm is performed. With Bark units, the hertz-to-Bark transformation is performed before the quantile algorithm.